<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="UTF-8" />
    <title>Print</title>
    <style type="text/css">
        table{
            font-size: 16px;
        }
    </style>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
</head>
<body onLoad="setTimeout('closemyself()',500);" >
<div class="container">
    <div class="col-md-1">
        <img th:src="@{/images/tazkia.png}" width="110px" height="100px" alt="">
    </div>
    <div class="col-md-12 text-center" style="margin-top: 20px;">
        <b style="font-size: 20px;">INSTITUT AGAMA ISLAM TAZKIA</b>
        <br>
        <span style="font-size: 15px;">Transkrip Nilai Akademik</span>
    </div>
    <div class="col-md-12 text-center" id="table1">
        <table id="head">
            <tr>
                <td width="70%" style="text-align: left;">NIM</td>
                <td>:</td>
                <td th:text="${mhsw.nim}" style="text-align: left;"></td>
            </tr>
            <tr>
                <td width="70%" style="text-align: left;">Name</td>
                <td>:</td>
                <td th:text="${mhsw.nama}" style="text-align: left;"></td>
                <input type="hidden" name="nim" id="locality-dropdown" th:value="${mhsw.nim}">
            </tr>
            <tr>
                <td width="70%" style="text-align: left;">Department</td>
                <td>:</td>
                <td th:text="${mhsw.idProdi.namaProdi}" style="text-align: left;"></td>
            </tr>
        </table>
    </div>
    <div class="col-md-12">
        <table width="100%" border="1" id="table">

            <thead>
            <tr>
                <th><center>Semester</center></th>
                <th><center>Course Code</center></th>
                <th><center>Course Title</center></th>
                <th><center>SKS</center></th>
                <th><center>Grade Point</center></th>
                <th><center>Grade</center></th>
                <th><center>Total Mark</center></th>
            </tr>
            </thead>


            <tr th:each="data, row : ${transkrip1}" th:if="${not #lists.isEmpty(transkrip1)}">
                <td th:rowspan="${#lists.size(transkrip1)}" th:if="${row.index == 0}"><center>1</center></td>
                <td><center th:text="${data.kode}"></center></td>
                <td th:text="${data.course}"></td>
                <td><center th:text="${data.sks}"></center></td>
                <td><center th:text="${data.bobot}"></center></td>
                <td><center th:text="${data.grade}"></center></td>
                <td><center th:text="${data.mutu}" ></center></td>
            </tr>
            <tr th:each="data, row : ${transkrip2}" th:if="${not #lists.isEmpty(transkrip2)}">
                <td th:rowspan="${#lists.size(transkrip2)}" th:if="${row.index == 0}"><center>2</center></td>
                <td><center th:text="${data.kode}"></center></td>
                <td th:text="${data.course}"></td>
                <td><center th:text="${data.sks}"></center></td>
                <td><center th:text="${data.bobot}"></center></td>
                <td><center th:text="${data.grade}"></center></td>
                <td><center th:text="${data.mutu}" ></center></td>
            </tr>
            <tr th:each="data, row : ${transkrip3}" th:if="${not #lists.isEmpty(transkrip3)}">
                <td th:rowspan="${#lists.size(transkrip3)}" th:if="${row.index == 0}"><center>3</center></td>
                <td><center th:text="${data.kode}"></center></td>
                <td th:text="${data.course}"></td>
                <td><center th:text="${data.sks}"></center></td>
                <td><center th:text="${data.bobot}"></center></td>
                <td><center th:text="${data.grade}"></center></td>
                <td><center th:text="${data.mutu}" ></center></td>
            </tr>
            <tr th:each="data, row : ${transkrip4}" th:if="${not #lists.isEmpty(transkrip4)}">
                <td th:rowspan="${#lists.size(transkrip4)}" th:if="${row.index == 0}"><center>4</center></td>
                <td><center th:text="${data.kode}"></center></td>
                <td th:text="${data.course}"></td>
                <td><center th:text="${data.sks}"></center></td>
                <td><center th:text="${data.bobot}"></center></td>
                <td><center th:text="${data.grade}"></center></td>
                <td><center th:text="${data.mutu}" ></center></td>
            </tr>
            <tr th:each="data, row : ${transkrip5}" th:if="${not #lists.isEmpty(transkrip5)}">
                <td th:rowspan="${#lists.size(transkrip5)}" th:if="${row.index == 0}"><center>5</center></td>
                <td><center th:text="${data.kode}"></center></td>
                <td th:text="${data.course}"></td>
                <td><center th:text="${data.sks}"></center></td>
                <td><center th:text="${data.bobot}"></center></td>
                <td><center th:text="${data.grade}"></center></td>
                <td><center th:text="${data.mutu}" ></center></td>
            </tr>
            <tr th:each="data, row : ${transkrip6}" th:if="${not #lists.isEmpty(transkrip6)}">
                <td th:rowspan="${#lists.size(transkrip6)}" th:if="${row.index == 0}"><center>6</center></td>
                <td><center th:text="${data.kode}"></center></td>
                <td th:text="${data.course}"></td>
                <td><center th:text="${data.sks}"></center></td>
                <td><center th:text="${data.bobot}"></center></td>
                <td><center th:text="${data.grade}"></center></td>
                <td><center th:text="${data.mutu}" ></center></td>
            </tr>

            <tr th:each="data, row : ${transkrip7}" th:if="${not #lists.isEmpty(transkrip7)}">
                <td th:rowspan="${#lists.size(transkrip7)}" th:if="${row.index == 0}"><center>7</center></td>
                <td><center th:text="${data.kode}"></center></td>
                <td th:text="${data.course}"></td>
                <td><center th:text="${data.sks}"></center></td>
                <td><center th:text="${data.bobot}"></center></td>
                <td><center th:text="${data.grade}"></center></td>
                <td><center th:text="${data.mutu}" ></center></td>
            </tr>
            <tr th:each="data, row : ${transkrip8}" th:if="${not #lists.isEmpty(transkrip8)}">
                <td th:rowspan="${#lists.size(transkrip8)}" th:if="${row.index == 0}"><center>8</center></td>
                <td><center th:text="${data.kode}"></center></td>
                <td th:text="${data.course}"></td>
                <td><center th:text="${data.sks}"></center></td>
                <td><center th:text="${data.bobot}"></center></td>
                <td><center th:text="${data.grade}"></center></td>
                <td><center th:text="${data.mutu}" ></center></td>
            </tr>

            <tr>
                <td colspan="3" style="text-align: right;"><b>Total :</b></td>
                <td style="text-align: center;" th:text="${sks}">1221</td>
                <td colspan="2"></td>
                <td th:text="${mutu}">121</td>
            </tr>
            <tr>
                <td colspan="3" style="text-align: right;"><b>Cumulative Grade Point Average :</b></td>
                <td colspan="4" style="padding-left: 20px;" th:text="${ipk}">2121</td>
            </tr>
        </table>
        <br>
        <table id="footer">
            <thead>
            <tr>
                <td id="tanggal">Bogor, 23 Februari 2020</td>
            </tr>
            </thead>
            <tr>
                <td th:text="${mhsw.idProdi.namaProdiEnglish + ' Coordinator'}">Ketua Program Studi Akuntansi Syariah</td>
            </tr>
            <tr>
                <td></td>
            </tr>
            <tr>
                <td></td>
            </tr>
            <tr>
                <td th:text="${mhsw.idProdi.dosen.karyawan.namaKaryawan}">Grandis Imama Hendra, S.E.I., M.Sc (Acc).</td>
            </tr>
        </table>

    </div>
</div>
</body>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.0/jquery.min.js"></script>
<script src="https://unpkg.com/jspdf@1.5.3/dist/jspdf.min.js"></script>
<script src="https://unpkg.com/jspdf-autotable@3.2.13/dist/jspdf.plugin.autotable.js"></script>

<script>
    var d = new Date();
    var months = ["January","Februari","March","April","May","June","July","August","September","October","November","December"];
    document.getElementById("tanggal").innerHTML = "Bogor, " + " " + d.getDate() + " " + months[d.getMonth()] + " " +d.getFullYear();


    var x = document.getElementById("locality-dropdown").value;
    console.log(x);
    const url = '/api/mahasiswa?nim='+x;
    $.getJSON(url, function (data) {


        var doc = new jsPDF('p', 'pt', 'letter');
        var img = new Image()
        img.src = '/images/tazkia.png'
        doc.addImage(img, 'png', 70, 10, 70, 60)
        var res = doc.autoTableHtmlToJson(document.getElementById('table'));
        var footer = doc.autoTableHtmlToJson(document.getElementById('footer'));
        doc.setFontSize(10);
        doc.text("                                  INSTITUT AGAMA ISLAM TAZKIA", 150, 50);
        doc.setFontSize(7);
        doc.text("                                        Academic Transcripts", 210, 69);
        doc.text("                                       ", 70, 70);
        doc.setFontSize(8);
        doc.text("                                       ", 70, 80);
        doc.text("                                       ", 70, 90);
        doc.text("NIM                  :  "+data.nim, 172, 90);
        doc.text("Name               :  "+data.nama, 172, 103);
        doc.text("Department      :  "+data.idProdi.namaProdiEnglish, 172, 115);
        var height = doc.internal.pageSize.height;
        doc.autoTable(res.columns, res.data, {
            theme : 'plain',
            styles : {
                fontSize: number = 8,
                lineColor: Color = 10,
                lineWidth: number = 1,
                useCss : true
            },
            tableLineColor: [189, 195, 199],
            tableLineWidth: 0.75,
            fontSize : 10,
            startY: 130
        });
        doc.autoTable(footer.columns, footer.data, {
            theme : 'plain',
            styles : {
                fontSize: number = 8,
                useCss : true
            },
            fontSize : 10,
        });

        doc.save('Transkrip' + data.nim + '.pdf');
    });

</script>
<script language=javascript>
    function closemyself() {
        window.opener=self;
        window.close();
        self.close();
    }
</script>
</html>